%define github_name     Smarty-View
%define composer_name   smarty-view
%define composer_vendor mathmarques

%define php_libdir %{_datadir}/php

%define __requires_exclude_from ^%{_datadir}/.*$

Name:       php-%{composer_vendor}-%{composer_name}
Version:    1.2.0
Release:    %mkrel 1
Summary:    Slim Framework 3 Smarty View
License:    MIT
Group:      Development/PHP
URL:        https://github.com/mathmarques/Smarty-View
Source0:    https://github.com/mathmarques/Smarty-View/archive/refs/tags/%{version}.tar.gz
# composer.json
Requires:   php >= 5.5.0
Requires:   php-composer(slim/slim)
Requires:   php-composer(smarty/smarty)
# autoloader
Requires:   php-composer(fedora/autoloader)
Provides:   php-composer(%{composer_vendor}/%{composer_name}) = %{version}
BuildArch:  noarch


%description
This is a Slim Framework 3 view helper built on top of the Smarty templating component. You can use this component to create and render templates in your Slim Framework application.

Autoloader: %{php_libdir}/Smarty-View/autoload.php

%prep
%setup -qn %{github_name}-%{version}

%build

%install
install -d %{buildroot}%{php_libdir}
cp -pr src %{buildroot}%{php_libdir}/Smarty-View

cat > %{buildroot}%{php_libdir}/Smarty-View/autoload.php << 'EOF'
<?php
/* Autoloader for %{name} and its dependencies */

require_once '%{_datadir}/php/Fedora/Autoloader/autoload.php';

\Fedora\Autoloader\Autoload::addPsr4('Slim\\Views\\', __DIR__);
\Fedora\Autoloader\Dependencies::required(array(
    '%{_datadir}/php/Smarty/Smarty.class.php',
    '%{_datadir}/php/Smarty/SmartyBC.class.php',
    '%{_datadir}/php/Slim/autoload.php',
));
EOF

%files
%doc LICENSE.md README.md composer.json
%{php_libdir}/Smarty-View


%changelog
* Tue Apr 19 2022 mokraemer <mokraemer> 1.2.0-1.mga9
+ Revision: 1851883
- new version 1.2.0

* Mon Mar 21 2022 umeabot <umeabot> 1.1.1-4.mga9
+ Revision: 1810725
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-3.mga8
+ Revision: 1507238
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-2.mga7
+ Revision: 1287655
- Mageia 7 Mass Rebuild

* Wed Oct 04 2017 guillomovitch <guillomovitch> 1.1.1-1.mga7
+ Revision: 1168882
- imported package php-mathmarques-smarty-view

